<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xy.mapper.DeviceFaultMonitorConfigMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.xy.entity.DeviceFaultMonitorConfig">
        <id column="monitor_id" property="monitorId"/>
        <result column="event_code" property="eventCode"/>
        <result column="state" property="state"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="event_num" property="eventNum"/>
        <result column="minute_num" property="minuteNum"/>
        <result column="fault_level" property="faultLevel"/>
    </resultMap>
</mapper>
